import request from '@/utils/request'

// 查询使用记录列表
export function listUsageRecord(query) {
  return request({
    url: '/cert/usageRecord/list',
    method: 'get',
    params: query
  })
}

// 查询当前用户使用记录列表
export function currentUserListUsageRecord(query) {
  return request({
    url: '/cert/usageRecord/currentUser/list',
    method: 'get',
    params: query
  })
}

// 查询使用记录详细
export function getUsageRecord(id) {
  return request({
    url: '/cert/usageRecord/' + id,
    method: 'get'
  })
}

// 新增使用记录
export function addUsageRecord(data) {
  return request({
    url: '/cert/usageRecord',
    method: 'post',
    data: data
  })
}

// 修改使用记录
export function updateUsageRecord(data) {
  return request({
    url: '/cert/usageRecord',
    method: 'put',
    data: data
  })
}

// 删除使用记录
export function delUsageRecord(id) {
  return request({
    url: '/cert/usageRecord/' + id,
    method: 'delete'
  })
}
